---
id: assessment-plan
name: Assessment Plan
description: This component allows an auditor and host to come to an understanding of the level of access that an auditor will have,...
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/exercises/assessment_plan/summary.md
---
# Assessment Plan

## Summary

This component allows an auditor and host to come to an understanding of the level of access that an auditor will have, what is off limits, and the process for modifying the scope of the audit when new information arises. [^PETS_legal_considerations]^,^[^PETS_separate_permissions] This component consists of a process where the auditor collaboratively creates an assessment plan with key members of the organization.

A core tenet of SAFETAG is building agency in organizations to improve their digital security. To that end, collaboratively creating an assessment plan with the organization helps to clarify not only the audit scope - from discussing what sensitive data may be exposed to what systems may be disrupted in the process of the audit - but it also helps reveal the ability of the organization to support and respond to the audit findings.



## Considerations

  * In addition to the overall mandate to send information encrypted to the organization, also demand encrypted communication back from them. Failure to establish a secure planning channel also contributes towards a no-go situation by putting both the auditor and organization at risk.

## Walkthrough

  * An agreement signed by both parties outlining the scope of the audit including:
    * The start and end dates of the audit.
    * The location where the on-site audit will take place. [^pets_pre-engagement_location]
    * The responsibilities of the host staff.
    * The responsibilities of the auditor.
    * The host names and IP ranges of any services run by the organization. [^PETS_host_and_ip]
    * Emergency contact information for the organization. [^PETS_emergency_contact]
    * The procedure the auditor will follow when handling incidents. [^NIST_incident_repose_plan]
    * The data security standards for evidence handling and communication. [^PETS_evidence_handling]
  * A liability waiver signed by the host organization. [^PETS_permission_to_test]
  * Approval from any third parties. [^PETS_third_parties]


See the Appendix for a DRAFT combined engagement and confidentiality agreement.




:[](../references/footnotes.md)
