---
id: device-checklist
name: Device and Software Version Assessment
description: The auditor checks staff devices for updated systems and software, anti-virus and other security capabilities, and...
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/exercises/device_checklist/summary.md
---
# Device and Software Version Assessment

## Summary

The auditor checks staff devices for updated systems and software, anti-virus and other security capabilities, and identifies software runing on computers and its current version.  The auditor checks for known vulnerabilities to any out of date software.

This is used to develop a report component exposing how un-updated software can lead to large vulnerabilities.


## Materials Needed

* A notepad may be useful

## Considerations

* Communicate with the staff members the level of confidentiality you are treating discussions around their device and technology usage with - i.e. explain what incident response triggers you have agreed upon with the organization, and that anything not triggering that is to be only reported in aggregate.

## Walkthrough

The auditor inspects a subset of key and/or representative user devices (work & personal).  The auditor should focus on the work devices to limit scope creep, but if the office has many personal devices accessing organizational accounts/data, the auditor should share what "red flags" they are looking for and work in tandem with device owners and/or IT staff. For a small office, it may be possible to check every machine. For larger offices, the auditor should use a subset to get a feel for the overall security stance of user devices.

See the Appendix for a per-OS guide of where to find key data.

## Recommendation

##### Upgrade Operating Systems

Popular operating systems like Windows XP are, sadly, no longer receiving security updates.


##### Move to Licensed Operating Systems

While "pirated" operating systems are extremely common (especially Windows) they often leave much to be desired in terms of security.  If the OS is not receiving regular updates from the software creator, it is extremely vulnerable to thousands of potential attacks.

##### Update Operating Systems

Operating Systems of all varieties - Windows, Mac, Linux, and others, are constantly being updated.  These updates often fix bugs, but they also protect the system from newly discovered vulnerabilities.  It can seem difficult to keep updating constantly, but this is very important to protect even non-sensitive systems.

##### Update Vulnerable Software

Many critical software components, such as Java or Adobe Flash, have many vulnerabilities and need to be aggressively updated.

##### Install Anti-Virus


##### Move to Licensed Anti-Virus


##### Update Anti-Virus

Most AV tools automatically update, but this can sometimes get out of sync, or if the AV was a pre-installed trial system, it will stop updating after its trial period.  An out of date anti-virus is worthless.

##### Install Anti-Malware scanner


##### Encrypt Hard Drives

##### Activate a personal firewall



:[](../references/footnotes.md)
