---
id: process-mapping-activity
name: Process Mapping
description: This activity helps to identify the processes that allow the organization to function (publishing, payment,...
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/exercises/process_mapping_activity/summary.md
---
# Process Mapping

## Summary

This activity helps to identify the processes that allow the organization to function (publishing, payment, fund-raising, outreach, interviewing) the assets and systems (websites, software, PayPal) they rely on, and which ones are critical to their work. (Activity)

Participants are asked to "brain-storm" a list of all the processes that are critical for their work and the auditor works to map the details of critical processes out to expose points of risk.


## Materials Needed

* Stickies
* Markers
* Whiteboard or flip-chart

## Considerations

  * Treat device assessment data as well as any additional service information learned with the utmost security
  * Ensure that any physical notes/drawings are erased and destroyed once digitally recorded.
  * Ensure that any digital recordings of this process are kept secure and encrypted. 
  * Consider who has physical and visual access to the room where this process takes place, and if the room can be secured if this activity may span long/overnight breaks.

## Walkthrough

:[](process_activity.md)

## Recommendation

This activity can lead to feelings of hopelessness; it is important to remind the staff that any risk can be mitigated, and indeed it is the goal of an audit to identify the highest priority ones based on actual likelihood and provide guidance on mitigation.



:[](../references/footnotes.md)
