---
id: threat-interaction
name: Threat Interaction
description: This helps the auditor enumerate threats that the organization is concerned about and the internal priorities of them. ...
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/exercises/threat_interaction/summary.md
---
# Threat Interaction

## Summary

This helps the auditor enumerate threats that the organization is concerned about and the internal priorities of them.  At the same time, it enables a discussion of how threats can interrelate and helps define the difference between a threat and a risk (a threat that has a vulnerability associated with it), and the value of mitigation.

This exercise works well with larger groups, and can be woven in to the Threat Identification activity.


## Materials Needed

* Stickies (ideally 3 colors)
* Pens/sharpies for participant groups
* Markers
* Camera to digitally capture the data
* Whiteboard or flip-chart

## Considerations

  * Treat threat and adversary data with the utmost security.
  * Ensure that any physical notes/drawings are erased and destroyed once digitally recorded.
  * Ensure that any digital recordings of this process are kept secure and encrypted. 
  * Consider who has physical and visual access to the room where this process takes place, and if the room can be secured if this activity may span long/overnight breaks.

## Walkthrough

Also review the Threat Identification exercises to tailor these to best meet your information gathering needs based on your interactions with the organization.

**Threat Brainstorming (15 minutes)**

Split participants into small groups.  This grouping is particularly valuable for larger organizations, but even for small ones, having multiple separate groups helps reveal shared concerns around the threats the staff face.  For a group that is too small to group, have each staff member brainstorm by themselves.

Have each group or staff member quickly write down any possible "threat" they or the organization face.  Some examples ("kidnapping," "website hacked") can help seed this activity.

If you have multiple colors of stickies, having them categorize threats by "physical," "digital," or "other/both" will be useful to show their inter-relation.

Keep reminding participants of the time remaining to keep them brainstorming rather than discussing threat details or arguing over whether a threat is physical or digital.

**Threat Clustering and Discussion**

After the brainstorming, gather and cluster the stickies on a wall, revealing duplicate concerns across the groups and thematic areas of concern.

As clusters become clear, ask if any events similar to this threat have already happened to the organization?  What was the impact?  Has it happened more than once? Regularly?  Mark these threats.

*Note:* Some of these threats may be traumatic experiences, consider skipping public discussion of historical occurrence if many of the threats from the brainstorm (or from one person/group in particular) are particularly intense.

**Threat Bow-tie**

Select one of the threats that emerged as a concern from the clustering to place at the center of a "bow-tie" like drawing on a whiteboard or flip-chart paper.

Begin asking what other threats identified could come as a result of this threat, supplanting the responses from the participants with additional threats.  For example, a hacked website could lead to loss of trust by funders or partners.  "Chain reactions" can be illustrated as lines of events (loss of trust by funders could lead to a loss of funding).  Do the same for what threats could lead to the "central" threat - a confiscation of a device could lead to email hacking, for example.  Some threats can be both potential causes and secondary effects.

Close out this with a discussion of how every threat is potentially connected to both digital and physical impacts.




:[](../references/footnotes.md)
