---
id: document_matter/glossary.md
name: 
layout: page.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/document_matter/glossary.md
---

Title

0.4 Terms
Description
Terminology used in this framework

    Audit/Evaluation/Assessment: Used interchangeably in this context. An empirical examination of the extent to which an organization, policy, network, element of IT or physical infrastructure, Web application or piece of software is prepared to withstand the digital security threats it is likely to face. The SAFETAG methodology focuses primarily on organizations, local networks and Web applications. Although it is not mandatory, these assessments tend to have an offensive security (or “red team”) character, meaning that auditors are likely to use many of the same tools employed by the subject’s adversaries

    Subject: The immediate beneficiary of the assessment—typically the organization being evaluated. Due to the nature of these assessments, the term target will sometimes be used in place of subject.

    Platform: In the context of SAFETAG itself, this generally refers to the Dradis installation where this material is hosted. Dradis is an open-source, Web-based note-taking platform for penetration tests (pentests) written in Ruby on Rails. Designed for ephemeral, collaborative deployments, Dradis has the ability to import documents that conform to the export-formats of many common pentesting tools. It allows a small team of auditors to organize its findings and produce professional (looking) reports.

    Project: A given Dradis project may correspond to a full digital security assessment or to one specific activity, such as a vulnerability scan of a particular Web site. The SAFETAG framework is currently structured according to the former approach.

    Methodology: Both the specific guidelines and abstract elements of the approach to

    Report template: A skeleton Microsoft Word (.docx) document used to generate SAFETAG reports that include audit details that have been entered into the Dradis platform. The term template may be used, more generally, in reference to the overall structural elements of a SAFETAG assessment, in which usage it overlaps somewhat with the term methodology. Within the Dradis platform, there are other specific types of templates, as well, including project templates and note templates.

    Framework: A catch-all term that encompasses the platform, methodology, and template(s) described here, as well as the underlying principles and priorities that informed their creation

    Findings: Audit report

    Note: Entries in the second column of the Dradis platform’s interface (in “Old notes” view).

    Item/sub-item: Used interchangeably in this context. Refers to the subsections of a note, under a particular “title heading” (“0.1. Terms,” above, is an example of a title heading). This content typically consists of one or more blocks of text, and may include embedded images. Special title headings can be used to flag content for various purposes, such as inclusion in a generated report.



