---
id: document_matter/how_to_read_this_guide.guide.md
name: The Life Cycle of an Audit
layout: page.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/document_matter/how_to_read_this_guide.guide.md
---

### Major Sections

#### The Life Cycle of an Audit

This section contains explanations of the goals of the SAFETAG process and definitions of the major terminology.

#### Objectives

This section contains the objectives of a SAFETAG audit. These are collections of specific **activities** that an auditor may use to gather and confirm information about the risks an organization faces,  their capacity to address them, and potential threat actors.

#### Reporting

This section contains the post-audit objectives used to document the organizations risks and auditors recommendations based upon a final capacity and risk assessment.



### Objective Components

#### Summary

A short - one to four sentence - basic overview of the objective.

#### Purpose

The justification for why we have included this objective.

#### The Flow of Information

The purpose of audit activities is to acquire risk assessment and mitigation information. As this information is acquired, earlier audit steps will have to be re-visited based upon updated information. The "Flow of Information" shows the types of information that an audit objective builds upon (input), and the types of information that it may reveal (outcomes).

#### Guiding Questions

Each audit objective is guided by a small set of core questions. Key questions are included to help an auditor identify when they have acquired enough information and customize their approach while still collecting the correct types of information to support the organization.

#### Approaches

Many of these objectives can be completed in multiple ways depending upon auditor skill and the organizational technical setup and capacity. The approach section includes a list of activites that can be used to carry out parts, or the whole, of the information collection for an audit activity.

#### Resources

Links to resources that can be used to deepen an auditors understanding.




### Activities

#### Summary

A short - one to four sentence - basic overview of the activity.

#### Base Line Skills

The baseline level of skills that the auditor must posses in order to carry out the intended activity.

#### Operational Security

Operational security guidelines that are specific to this activity.

#### Materials Needed

Any materials beyond the norm that the trainers will need.

#### Instructions

Where relevant, an outline of the steps an auditor will take during this activity.  Not intended to replace true documentation, but useful for an auditor unable to connect to the Internet or to provide the organization's technical contact.

#### Considerations

Some of the activity specific concerns (ethical, skill level,  time, relationship, etc.) that an auditor must take into consideration when conducting this activity.

#### Output

Notes on what data can be created during this activity.

#### Resources

Links to resources that can be used to deepen an auditors understanding of an activity.


