---
id: document_matter/how_to_read_this_guide.handbook.md
name: Summary
layout: page.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/document_matter/how_to_read_this_guide.handbook.md
---
## How to Read This Guide

### The Safetag Process

This section includes overviews of the three concepts that are fundamental throughout the SAFETAG process; Risk Assessment, Agency Building, and Operational Security.

### Pre-Audit Activities

This section covers the pre-audit activities that prepare an auditor and an organization to best take advantage of an audit.

### Audit Activities

This section contains the SAFETAG audit activities. These activities are used to gather information about the risks an organization face and their capacity to address them. Each activity contains three sub-sections beyond their summary.

#### Summary

A short - one to four sentence - basic overview of the objective.

#### Purpose

The justification for why we have included this objective.

#### The Flow of Information

The purpose of audit activities is to acquire risk assessment and mitigation information. As this information is acquired, earl er audit will have to be re-visited based upon this information. The "Flow of Information" shows the types of information that an audit activity builds upon (input), and the types of information that an audit activity may reveal (outcomes).

#### Guiding Questions

Each audit activity is guided by a small set of core questions. Key questions are included to help an auditor identify when they have acquired enough information and customize their approach while still collecting the correct types of information to support the organization.

#### Approaches

Many of these audit activities can be completed in multiple ways depending upon auditor skill and the organizational technical setup and capacity. The approach section includes a list of activites that can be used to carry out parts, or the whole, of the information collection for an audit activity.

##### Summary

A short - one to four sentence - basic overview of the activity.

##### Base Line Skills

The baseline level of skills that the auditor must posses in order to carry out the intended activity.

##### Instructions

Step-by-step instructions on how the activity is carried out.

##### Operational Security

Operational security guidelines that are specific to this activity.

##### Materials Needed

Any materials beyond the norm that the trainers will need.

##### Considerations

Some of the activity specific concerns (ethical, skill level,  time, relationship, etc.) that an auditor must take into consideration when conducting this activity.

##### Output

Notes on what data can be created during this activity.

##### Reporting

Notes on how to capture or present data collected to support the reporting process.

#### Resources

Links to resources that can be used to deepen an auditors understanding.

### Support Activities

This section contains the SAFETAG support activities. Support activities are used to address urgent needs and build the organizations agency so that they can act upon the recommendations of the auditor.

### Reporting Activities

This section contains the post-audit activities used to document the organizations risks and auditors recommendations based upon a final capacity and risk assessment. 


