---
id: document_matter/overview.adids.md
name: Resources:
layout: page.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/document_matter/overview.adids.md
---
This SAFETAG curricula uses the ADIDS approach to adult learning. 

"ADIDS stands for Activity-Discussion-Input-Deepening-Synthesis. It is one of the teaching methodologies for adult learning – there are others, but for our purposes we’re going to focus on this one in this module. ADIDS is frequently used in awareness-raising workshops on specific social issues. The assumption behind ADIDS is that learning and awareness-raising happens in stages, and we cannot expect a person to learn everything about an issue in one go, or in one lecture. Instead, the learning process takes time. For digital safety training, which mixes both awareness-raising on issues and teaching technical and strategic solutions, the ADIDS methodology is a good fit. (For additional background, we recommend you read our brief background informing the ADIDS methodology, [How Adults Learn](https://www.level-up.cc/resources-for-trainers/pedagogical-resources/adult-learners).)" -- [LevelUp: Preparing ADIDS Sessions](https://www.level-up.cc/leading-trainings/preparing-ADIDS-sessions/)

Each training session is designed to include:

  * an **A**ctivity, (which includes a 
  * **D**iscussion about that activity),
  * **I**nput (related lecture or background material),
  * **D**eepening (the hands-on portion of the session), and
  * a **S**ynthesis (wrap-up, review, and Q&A).

#### Resources:

* [Preparing ADIDS Sessions](https://www.level-up.cc/leading-trainings/preparing-ADIDS-sessions/)
* [Adult Learners](https://www.level-up.cc/resources-for-trainers/pedagogical-resources/adult-learners)
* [How to Use the Level Up Training Curriculum](https://www.level-up.cc/leading-trainings/curriculum-guide)



