---
id: document_matter/risk_assessment.md
name: Activities
layout: page.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/document_matter/risk_assessment.md
---
## Risk Assessment & Analysis

Functionally, SAFETAG is a digital risk assessment framework. Risk assessment a systematic approach to identifying and assessing risks associated with hazards and human activities. SAFETAG focuses this approach on digital security risks. A SAFETAG audit will work to collect the following types of information in order to assess the risks an organization faces.

Risk is the current assessment of the possibility of harmful events occurring. Risk is assessed by comparing the threats an actor faces with their vulnerabilities, and their capacity to respond to or mitigate emergent threats.

The SAFETAG evaluation revolves around collecting enough information to identify and assess the various risks and an organization and its related actors face so that they can take action strategically.

![The Risk Equation](images/risk_equation.svg)


### Program Analysis

Program analysis identifies the priority objectives of the organization and determine its capacities. This process exposes the activities, actors, and capacities of an organization. 

#### Activities

**Definition:** The practices and interactions that the organization carries out in order to accomplish their goals.

**Example:** This includes any activity that the organization carries out to accomplish its goals and those that allow the organization to function (publishing, payment, fund-raising, outreach, interviewing.)

* What is the main purpose of the organization?
* What are the processes the organization takes part in to carry out their work?

#### Actors

**Definition:** The staff, volunteers, partners, beneficiaries, donors, and adversaries associated with the organization.

**Example:** The core organizational staff, the volunteers, maintenance, cleaning, security, or other non-critical staff, the partner organizations, the individuals and groups that the organization provides services to, groups of unorganized individuals who are opposed to organizational aims, governmental and non-governmental high-power agents and organizations that are opposed to the organizations aims.

* What staff does the organization have?
* Are their volunteers, maintenance, cleaning, security, or other non-critical staff who have access to the office?
* Who does the organization serve?
* Does the organization have any partners?
* Who are the organizations beneficiaries?

<why is it important to identify the partners, benificiaries, etc. instead of just focusing on the organization?>

### Vulnerability analysis

Understand the organisation’s exposure to threats, points of weakness and the ways in which the organisation may be affected.

#### Vulnerability

**Definition:** A attribute or feature that makes an entity, asset, system, or network susceptible to a given threat.

**Example:** This can include poorly built or unmaintained hardware, software, or offices as well as missing, ignored, or poor policies or practices around security.

### Threat Analysis

Threat analysis is the process of identifying possible attackers and gathering background information about the capability of those attackers to threaten the organization. The basis of this information is a potential threats **history** of carrying out specific threats, their **capability** to carry out those threats currently, and proof that the threat has **intent** to leverage resources against the target.

#### Threat

**Definition:** A threat is a possible attack or occurrence that has the potential to harm life, information, operations, the environment, and/or property.

**Example:** Threats can range from *fire,* or *flood,* to *targeted malware,* *physical harassment,* or *phishing attacks.*

#### Threat History

**Definition:** What types of threats has the attacker used historically. And, what types of actors have been targeted by those threats. 

**Example:**

* What history of attacks does the threat actor have?
* What techniques have they used? Have they targeted vulnerabilities that the organization currently has?
* Have they targeted similar organizations?
* What is known about the types of threats used by an threat actor to attack similar organizations?

#### Threat Capability

**Definition:** The means that the attacker has to carry out threats against the organization.

**Example:** This includes, but is not limited to technical skill, financial support, number of staff hours, and legal power.

* Does the threat actor have the means to exploit a vulnerability that the organization currently has?
* Does the threat actor have the means to leverage widespread threats against all similar organizations, or will they have to prioritize their targets?

#### Threat Intent

**Definition:** The level of desire for the attacker to carry out threats against the organization.

**Example:** Intent can be goals or outcomes that the adversary seeks; consequences the adversary seeks to avoid; and how strongly the adversary seeks to achieve those outcomes and/or avoid those consequences.

* Does the threat actor currently have the desire to conduct an attack against this type of organization?
* Is the organization a priority threat target for the threat actor? 


