---
id: methods/network_access/operational_security.md
name: 
layout: method.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/methods/network_access/operational_security.md
---

*Note:* This section is one of the few sections where the SAFETAG audit does go through attack scenarios, from attempting to "break in" to the wireless network to testing exposed ethernet jacks for connectivity. 

The reasons for this are threefold.  First, access to an organization's internal network tends to reveal sensitive data and "shadow" infrastructures (such as dropbox usage) that lead to many recommendations to improve access control and discussions of the value of defense in depth.  Second, the specific act of breaking the wifi password allows for a discussion on password security without attacking any specific user's password. Finally, with wireless networks treated as equivalent to wired networks in many offices, reminding the organization that wireless networks extend beyond the physical walls of the office is useful in discussing password rotation and guest network policies.

Once you have access to the network, you need to first document how you managed that and share it with the hosts.  This is a great moment to discuss passwords in many cases.

  * Confirm that all devices you are accessing/scanning belong to the organization.
  * Clarify timing and seek permission with staff - some activities can tax the network or cause disruptions.




