---
id: references/context_research.md
name: Other Context Analysis Methodologies
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/references/context_research.md
---

#### Other Context Analysis Methodologies

  * *Article:* ["Section 2.3 Context analysis p. 30"](http://www.odihpn.org/index.php?option=com_k2&view=item&layout=item&id=3159) (Operational Security Management in Violent Environments: (Revised Edition))
  
  * *Guide:* ["Vulnerability Assessment: Training module for NGOs operating in Conflict Zones and High-Crime Areas"](https://www.eisf.eu/wp-content/uploads/2014/09/0603-Dworken-undated-Vulnerability-assesment-training-module.pdf) (Jonathan T. Dworken)

#### Threats to the Auditor

**Have aid workers faced retribution for their work in the region?**

  * *Database:* ["The Aid Worker Security Database (AWSD) records major incidents of violence against aid workers, with incident reports from 1997 through the present."](https://aidworkersecurity.org/) (The Aid Worker Security Database (AWSD))

**Is it safe to do digital security work in the region?**

  * *Survey:* ["This is a survey of existing and proposed laws and regulations on cryptography - systems used for protecting information against unauthorized access.
"](http://www.cryptolaw.org/) (The Crypto Law Survey)

  * *Article:* ["Legal Issues in Penetration Testing"](http://www.securitycurrent.com/en/analysis/ac_analysis/legal-issues-in-penetration-testing) (Security Current)

  * *Guide:* ["Encryption and International Travel"](https://www.princeton.edu/itsecurity/encryption/encryption-and-internatio/) (Princeton University)

**Is the area safe to travel to?**

  * *List:* ["Foreign travel advice"](https://www.gov.uk/foreign-travel-advice) (GOV.UK)

* *Alerts:* ["Travel Alerts & Warnings"](http://www.travel.state.gov/content/passports/english/alertswarnings.html) (US Department of State)

  * *List:* ["List of airlines banned within the EU"](http://ec.europa.eu/transport/modes/air/safety/air-ban/index_en.htm) (European Commission) 

  * *List:* ["A list of aircraft operators that have that have suffered an accident, serious incident or hijacking."](http://aviation-safety.net/database/operator/) (Aviation Safety Network)

  * *List:* ["Travel Advice"](http://www.smartraveller.gov.au/) (Australian Government)

#### Targeted Threats for the organization

**Is the group facing any legal threats because of its work?**

  * *Monitor:* ["CNL's NGO Law Monitor provides up-to-date information on legal issues affecting not-for-profit, non-governmental organizations (NGOs) around the world."](http://www.icnl.org/research/monitor/) (NGO Law Monitor)

**Does the organization face any targeted threats because of their work?**

  * Human  Rights
    * [Freedom House's "Freedom in the World" index is the standard-setting comparative assessment of global political rights and civil liberties.](http://www.freedomhouse.org/report-types/freedom-world)
    * [Amnesty International regional news on human rights](https://www.amnesty.org/en/news/regional)
    * [Human Rights Watch - Browse by Region](http://www.hrw.org/regions)
  * Transparency
    * [Corruption  Perception  Index](http://www.transparency.org/cpi2013/results/)
  * Public  Service  Delivery
  * Health
  * Free  Media  and  Information 
    * [Threatened Voices: Tracking suppression of online free speech.](http://threatened.globalvoicesonline.org/)
    * [IREX’s Media Sustainability Index (MSI) provides in-depth analyses of the conditions for independent media in 80 countries across the world.](http://www.irex.org/project/media-sustainability-index-msi)
    * [Freedom House's "Freedom on the Net" index, assessing the degree of internet and digital media freedom around the world.](http://www.freedomhouse.org/report-types/freedom-net)
    * [Freedom House's "Freedom of the Press" index assess' global media freedom.](http://www.freedomhouse.org/report-types/freedom-press)
    * [ARTICLE 19 freedom of expression and freedom of information news by region.](http://www.article19.org/pages/en/where-we-work.html)
    * [Open Society Foundation - Mapping digital media](http://www.opensocietyfoundations.org/projects/mapping-digital-media)
    * [Press Freedom Index (RSF)](https://en.rsf.org/press-freedom-index.html)
  * Climate  Issues
  * Gender  Issues
  * Poverty  Alleviation
  * Community  Building
  * Peace  promotion
  * Agricultural  Development
  * Entrepreneurship
  * Water,  Sanitation
  * Transportation
  * Disaster  Relief

#### General Threats for the organization

**What general non-governmental threats does the organization face?**

  * *Map:* ["A global display of Terrorism and Other Suspicious Events"](http://www.globalincidentmap.com/map.php) (Global Incident Map)

  * *Organization:* ["ReliefWeb has been the leading source for reliable and timely humanitarian information on global crises and disasters since 1996."](http://reliefweb.int/) (ReliefWeb)

  * *Reports:* [International NGO Safety](http://www.ngosafety.org/) (NGO proof, subscription required, covers Afghanistan, CAR, DRC, Kenya, Mali, and Syria currently)

**What cyber-security practices is the government using?**

  * *Reports:* [Privacy International's in-depth country reports and submissions to the United Nations.](https://www.privacyinternational.org/resources/reports) (Privacy International)

  * *List:* ["National Cyber Security Policy and Legal Documents"](http://www.ccdcoe.org/strategies-policies.html) (NATO Cooperative Cyber Defence Centre of Excellence)

  * *Reports:* ["Country Reports"](https://opennet.net/research/profiles) (Open Network Inititiative)

  * *Portal:* ["Country Level Information security threats"](https://iscproject.org/country-assessments/) (The ISC Project)

  * *Country Profiles:* ["Current cybersecurity landscape based on the five pillars of the Global Cybersecurity Agenda namely Legal Measures, Technical Measures, Organisation Measures, Capacity Building and Cooperation."](http://www.itu.int/en/ITU-D/Cybersecurity/Pages/Country_Profiles.aspx) (Global Cybersecurity Index (GCI))

  * *Organization:* ["The Citizen Lab is an interdisciplinary laboratory based at the Munk School of Global Affairs, University of Toronto, Canada focusing on advanced research and development at the intersection of Information and Communication Technologies (ICTs), human rights, and global security."](https://citizenlab.org/) (The Citizen Lab)

  * *Map:* ["Cyber-Censorship Map"](https://alkasir.com/map) (Alkasir)

  * *Dashboard:* ["At-A-Glance Web-Blockage Dashboard"](http://herdict.org/explore/indephth) (Herdict)

  * *List:* ["Who publishes Transparency Reports?"](http://jameslosey.com/post/98162645081/who-publishes-transparency-reports-here-is-an) (James Losey)

  * *Overviews:*["Cyberwellness Profiles"](http://www.itu.int/en/ITU-D/Cybersecurity/Pages/Country_Profiles.aspx) (ITU)

**What general cyber-security threats is the organization facing?**

  * *Report:* ["The Internet Annual Security Threat Report"](http://www.symantec.com/security_response/publications/threatreport.jsp) (Symantec)

  * *Report:* ["Annual threat report"](https://www.mandiant.com/resources/mandiant-reports/) (Mandiant)

* *Reports:* ["APWG Phishing Attack Trends Reports"](http://www.apwg.org/resources/apwg-reports/) (Anti-Phishing Working Group)

  * *Reports:* ["Secunia Country Reports"](https://secunia.com/resources/countryreports/) (Secunia)

  * *Reports:* ["McAfee Threat Trends Papers"](www.mcafee.com/us/security-awareness/threat-trends.aspx) (McAfee)

  * *Report:* ["Monthly intelligence report"](http://www.symantec.com/security_response/publications/monthlythreatreport.jsp) (Symantec)

**What level of technology is available in the region?**

  * *Database:* ["World Telecommunication/ICT Indicators database 2014"](http://www.itu.int/en/ITU-D/Statistics/Pages/publications/wtid.aspx) (WT-ICT)

  * *Comparisons:* ["Country Comparisons"](https://www.cia.gov/library/publications/the-world-factbook/) (CIA fact-book)


