---
id: references/threat_by_region.md
name: General Threats by Region
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/references/threat_by_region.md
---
#### General Threats by Region

  * *Database:* ["The Aid Worker Security Database (AWSD) records major incidents of violence against aid workers, with incident reports from 1997 through the present."](https://aidworkersecurity.org/) (The Aid Worker Security Database (AWSD))

  * *Platform:* ["The HumanitarianResponse.info platform is provided to the humanitairan community as a means to aid in coordination of operational information and related activities."](http://www.humanitarianresponse.info/operations) (Humanitarian Response)

  * *Organization:* ["ReliefWeb has been the leading source for reliable and timely humanitarian information on global crises and disasters since 1996."](http://reliefweb.int/) (ReliefWeb)

#### Legal Threats by Region

  * *Monitor:* ["CNL's NGO Law Monitor provides up-to-date information on legal issues affecting not-for-profit, non-governmental organizations (NGOs) around the world."](http://www.icnl.org/research/monitor/) (NGO Law Monitor)

  * *Survey:* ["This is a survey of existing and proposed laws and regulations on cryptography - systems used for protecting information against unauthorized access."(http://www.cryptolaw.org/)] (The Crypto Law Survey)

  * *List:* ["Who publishes Transparency Reports? - a list of transparency reports from Google, Facebook, and other popular websites. Cross-check with Alexa for locally popular services"](http://jameslosey.com/post/98162645081/who-publishes-transparency-reports-here-is-an) (James Losey)

  * *Website:* ["This website contains information on regulations, policies, and local organizations working on issues related to digital rights in Latin America. The information is organized by country"](https://redlatam.org/) (RedLatAm)

  * *Article:* ["Legal Issues in Penetration Testing"](http://www.securitycurrent.com/en/analysis/ac_analysis/legal-issues-in-penetration-testing) (Security Current)

  * *Wiki Page:* ["Anti-circumvention: Laws and Treaties"(https://en.wikipedia.org/wiki/Anti-circumvention)] (Wikipedia)

  * *Guide:* ["Encryption and International Travel"](https://www.princeton.edu/itsecurity/encryption/encryption-and-internatio/) (Princeton University)

  * *List:* ["National Cyber Security Policy and Legal Documents"](http://www.ccdcoe.org/strategies-policies.html) (NATO Cooperative Cyber Defence Centre of Excellence)

#### Technical Threats

  * *Country Profiles:* ["Current cybersecurity landscape based on the five pillars of the Global Cybersecurity Agenda namely Legal Measures, Technical Measures, Organisation Measures, Capacity Building and Cooperation."](http://www.itu.int/en/ITU-D/Cybersecurity/Pages/Country_Profiles.aspx) ( Global Cybersecurity Index (GCI))

  * *Reports:* [Privacy International's in-depth country reports and submissions to the United Nations.](https://www.privacyinternational.org/?q=reports) (Privacy International)

  * *Organization:* ["The Citizen Lab is an interdisciplinary laboratory based at the Munk School of Global Affairs, University of Toronto, Canada focusing on advanced research and development at the intersection of Information and Communication Technologies (ICTs), human rights, and global security."](https://citizenlab.org/) (The Citizen Lab)

  * *Database:* ["International Cyber Developments Review (INCYDER)"](http://ccdcoe.org/incyder.html) (NATO Cooperative Cyber Defence Centre of Excellence)

  * *Guide:* ["This handbook sets out an overview of the key privacy and data protection laws and regulations across 72 different jurisdictions, and offers a primer to businesses as they consider this complex area of compliance."](http://www.dlapiperdataprotection.com/) (Data Protection Laws of the World - DLA PIPER)

  * *Reports:* ["Country Reports"](https://opennet.net/research/profiles) (Open Network Inititiative)

  * *Reports:* ["Regional Overviews"](https://opennet.net/research/regions) (Open Network Inititiative)

  * *Portal:* ["Country Level Information security threats"](https://iscproject.org/country-assessments/) (The ISC Project)

##### Targeted Malware

  * *Reports:* ["APWG Phishing Attack Trends Reports"](http://www.apwg.org/resources/apwg-reports/) (Anti-Phishing Working Group)

##### Censorship and Surveillance Reports

  * *Map:* ["Cyber-Censorship Map"](https://alkasir.com/map) (Alkasir)

  * *Dashboard:* ["At-A-Glance Web-Blockage Dashboard"](http://herdict.org/explore/indephth) (Herdict )


#### Travel Threats


  * *List:* ["Foreign travel advice"](https://www.gov.uk/foreign-travel-advice) (GOV.UK)

  * *List:* ["Travel Advice"](http://www.smartraveller.gov.au/) (Australian Government)

  * *Alerts:* ["Travel Alerts & Warnings"](http://www.travel.state.gov/content/passports/english/alertswarnings.html) (US Department of State)

  * *List:* ["List of airlines banned within the EU"](http://ec.europa.eu/transport/modes/air/safety/air-ban/index_en.htm) (European Commission) 

  * *List:* ["A list of aircraft operators that have that have suffered an accident, serious incident or hijacking."](http://aviation-safety.net/database/operator/) (Aviation Safety Network)

  * *Map:* ["A global display of Terrorism and Other Suspicious Events"](http://www.globalincidentmap.com/map.php) (Global Incident Map)


