---
type: index
index:
- risk-assessment:
- agency-building:
---

# SAFETAG Framework Categories

## [Introduction](document_matter/introduction)

  * [Audit Lifecycle](document_matter/audit_lifecycle)
  * [Risk Assessment and Analysis](document_matter/risk_assessment)
  * [Agency building](document_matter/agency_building)
  * [Operational Security](document_matter/operational_security)

## [Preparation](methods/preparation)

  * [Assessment Plan](activities/assessment-plan)
  * [Confidentiality Agreement](activities/confidentiality-agreement)
  * [Incident Response and Emergency Contact](activities/incident-response)
  * [Travel Checklist](activities/travel-kit)

## [Context Research](methods/context_research)

  * [Conduct Interviews](activities/interviews)
  * [Regional Context Research](activities/regional-context-research)
  * [Technical Context Research](activities/technical-context-research)

## [Capacity Assessment](methods/capacity_assessment)

  * [Conduct Interviews](activities/interviews)
  * [Conduct High Risk Interviews](activities/interviews-highrisk)
  * [Capacity Assessment Checklist](activities/capacity-assessment-cheatsheet)

## [Reconnaissance](methods/reconnaissance)

  * [Manual Reconnaissance](activities/manual-recon)
  * [Automated Reconnaissance](activities/automated-recon)
  * [Web Footprinting](activities/web-footprint)
  * [DNS Enumeration](activities/dns-enumeration)

## [Network Access and Mapping](methods/network_mapping)

  * [Wireless Range Mapping](activities/wireless-range-mapping)
  * [Monitor Open Wireless Traffic](activities/monitor-open-wireless-traffic)
  * [Network Access](activities/network-access)
  * [Network Scanning](activities/network-scanning)
  * [Traffic Analysis](activities/traffic-analysis)
  * [Remote Network Device Assessment](activities/remote-network-device-assessment)
  * [Router Assessment](activities/router-attacks)

## [Organizational Device Assessment](methods/organizational_device_assessment)

  * [User Device Assessment](activities/device-checklist)
  * [Password Security](activities/password-security)
  * [Day in the Life](activities/day-in-the-life)
  * [Night in the Life](activities/night-in-the-life)
  * [Network Scanning](activities/network-scanning)
  * [Guided Tour](activities/guided-tour)

## [User Device Assessment](methods/user_device_assessment)

  * [User Device Assessment](activities/device-checklist)
  * [Mobile Device Survey](activities/mobile-device-survey)
  * [Day in the Life](activities/day-in-the-life)
  * [Night in the Life](activities/night-in-the-life)
  * [Firewire](activities/firewire)
  * [Password Security](activities/password-security)
  * [Password Strength](activities/password-strength)
  * [Monitor Open Wireless Traffic](activities/monitor-open-wireless-traffic)
  * [Guided Tour](activities/guided-tour)
  * [Check User Browser Vulnerabilities](activities/check-user-browser-vulns)

## [Vulnerability Scanning and Analysis](methods/vulnerability_scanning)

  * [Vulnerability Scanning](activities/vulnerability-scanning)
  * [Vulnerablity Research](activities/vulnerability-research)
  * [Web Footprinting](activities/web-footprint)
  * [Web Vulnerability Assessment](activities/web-vulnerability-assessment)
  * [Check Config Files](activities/check-config-files)
  * [Router Attacks](activities/router-attacks)


## [Data Assessment](methods/data_assessment)

  * [Sensitive Data](activities/sensitive-data)
  * [Data Lost and Found](activities/data-lost-and-found)
  * [Private Data](activities/private-data)


## [Physical Assessment](methods/operational_security)

  * [Guided Tour](activities/guided-tour)
  * [Physical Security Survey](activities/physical-security-survey)
  * [Office Mapping](activities/office-mapping)
  * [Scavenger Hunt](activities/scavenger-hunt)
  * [Monitor Open Wireless Traffic](activities/monitor-open-wireless-traffic)
  * [Wireless Range Mapping](activities/wireless-range-mapping)
  * [Day in the Life](activities/day-in-the-life)
  * [Night in the Life](activities/night-in-the-life)


## [Process Mapping and Risk Modeling](methods/risk_modeling)

  * [Process Mapping](activities/process-mapping-activity)
  * [Risk Assessment](activities/pre-mortum-risk-assessment-activity)
  * [Creating a Risk Matrix](activities/risk-matrix)
  * [Sensitive Data](activities/sensitive-data)
  * [Self Doxing](activities/self-doxing)

## [Advanced Threat Response](methods/advanced_threat)

  * [Suspicious Activity Analysis](activities/suspicious-activity-analysis)
  * [Evidence Capture](activities/evidence-capture)
  * [Forensic Analysis](activities/forensic-analysis)


## [Threat Assessment](methods/threat_assessment)

  * [Risk Modeling Using the Pre-Mortum Strategy](activities/pre-mortum-risk-assessment-activity)
  * [Guiding Questions for High-Risk Organisations](activities/interviews-highrisk)
  * [Sensitive Data](activities/sensitive-data)
  * [Threat Identification](activities/threat-identification)
  * [Creating a Risk Matrix](activities/risk-matrix)
  * [Threat Interaction](activities/threat-interaction)
  * [Regional Context Research](activities/regional-context-research)
  * [Self Doxing](activities/self-doxing)

## [Responsive Suport](methods/responsive_support)

## [Debrief Guide](methods/debrief)

## [Follow Up Guide](methods/follow_up)

  * [Follow Up Meeting](activities/follow-up-meeting)
  * [Making Introductions](activities/making-introductions)
  * [Long Term Follow Up](activities/long-term-follow-up)
  * [Staff Feedback Survey](activities/staff-feedback-survey)

## [Recommendation Development](methods/recommendation_development)

  * [Identify Useful Resources](activities/identify-useful-resources)

## [Roadmap Development](methods/roadmap_development)

## [Report Creation Guide](methods/report_creation)
