---
id: 
title: A Security Auditing Framework and Evaluation Template for Advocacy Groups
layout: guide.pug
origin: https://github.com/SAFETAG/SAFETAG
origin_path: master/en/index.guide.md
---
<!-- License -->

:[](./document_matter/license.md)

---

<!-- Introduction -->

:[](./document_matter/introduction.md)

---

<!-- Audit Lifecyce -->

:[](./document_matter/safetag_core_intro.md)
:[](./document_matter/audit_lifecycle.md)

---
<!-- Risk Modeling -->

:[](./document_matter/risk_assessment.md)

---
<!-- Agency Building -->

:[](./document_matter/agency_building.md)

---
<!-- Operational Security -->

:[](./document_matter/operational_security.md)

---

# SAFETAG Methods



---

<!-- Audit Prep-->

:[](./methods/preparation.guide.md)
<div class="boxtext">
:[](./activities/assessment-plan.md)
</div>

<div class="boxtext">
:[](./activities/confidentiality-agreement.md)
</div>

<div class="boxtext">
:[](./activities/incident-response.md)
</div>

<div class="boxtext">
#### Travel Checklist

See the Appendix for a sample travel kit / checklist
</div>

<div class="boxtext">
#### Password Dictionary Creation

See the Appendix for creating a password dictionary.
</div>

<div class="boxtext">
:[](./exercises/safetag_audit_timeline.md)
</div>


---

<!-- Audit Scoping-->

:[](./methods/context_research.guide.md)
<div class="boxtext">
#### Conduct Interviews

**NOTE:** Covered in full under Capacity Assessment

:[](./exercises/interviews/approach.md)
</div>

<div class="boxtext">
:[](./activities/regional-context-research.md)
</div>

<div class="boxtext">
:[](./activities/technical-context-research.md)
</div>


---

:[](./methods/capacity_assessment.guide.md)
<div class="boxtext">
:[](./activities/interviews.md)
</div>

<div class="boxtext">
:[](./activities/capacity-assessment-cheatsheet.md)
</div>


---
<!-- Recon-->

:[](./methods/reconnaissance.guide.md)
<div class="boxtext">
:[](./activities/manual-recon.md)
</div>

<div class="boxtext">
:[](./activities/automated-recon.md)
</div>

<div class="boxtext">
:[](./activities/mx-record-search.md)
</div>

<div class="boxtext">
:[](./activities/dns-zone-transfer.md)
</div>


---
<!-- Network Access -->

:[](./methods/network_access.guide.md)
<div class="boxtext">
:[](./activities/wpa-password-cracking.md)
</div>

<div class="boxtext">
:[](./activities/wps-pin-cracking.md)
</div>

<div class="boxtext">
:[](./activities/wep-password-cracking.md)
</div>

<div class="boxtext">
:[](./activities/mac-filtering.md)
</div>


---
<!-- Network Mapping -->

:[](./methods/network_mapping.guide.md)
<div class="boxtext">
:[](./activities/network-scanning.md)
</div>

<div class="boxtext">
:[](./activities/traffic-analysis.md)
</div>

<div class="boxtext">
:[](./activities/remote-network-device-assessment.md)
</div>

<div class="boxtext">
#### Router Attacks

Covered in full in  Vulnerability Scanning and Analysis

:[](./exercises/router_attacks/approach.md)
</div>

<div class="boxtext">
#### Wireless Range Mapping

Covered in full in Network Discovery

:[](./exercises/wireless_range_mapping/approach.md)
</div>

<div class="boxtext">
#### Monitor Open Wireless Traffic

Covered in full in Network Discovery

:[](./exercises/monitor_open_wireless_traffic/approach.md)
</div>




---
<!-- User Device Assessment -->

:[](./methods/user_device_assessment.guide.md)
<div class="boxtext">
:[](./activities/device-checklist.md)
</div>

<div class="boxtext">
:[](./activities/day-in-the-life.md)
</div>

<div class="boxtext">
:[](./activities/firewire.md)
</div>

<div class="boxtext">
:[](./activities/password-security.md)
</div>

<div class="boxtext">
#### Physical Security Guided Tour

Covered in full in Operational Security Assessment:

:[](./exercises/guided_tour/approach.md)
</div>

<div class="boxtext">
:[](./activities/check-user-browser-vulns.md)
</div>


---
<!-- Vulnerability Analysis -->

:[](./methods/vulnerability_scanning.guide.md)

<div class="boxtext">
:[](./activities/vulnerability-scanning.md)
</div>

<div class="boxtext">
:[](./activities/cms-version.md)
</div>

<div class="boxtext">
#### Explore Vulnerability Databases
:[](./activities/vulnerability-research.md)
</div>

<div class="boxtext">
#### Examine Service Configuration Files
:[](./activities/check-config-files.md)
</div>

<div class="boxtext">
#### Network Vulnerabilities

See the Network Access and Mapping activities for methods to expose insecure wireless networks and for methods to use network mapping and traffic analysis to discover further potential vulnerabilities or points to investigate.
</div>

<div class="boxtext">
#### Penetrating Wireless Routers

:[](./activities/router-attacks.md)
</div>


---
<!-- Data Assessment (assets) -->

:[](./methods/data_assessment.guide.md)

<div class="boxtext">
:[](./activities/sensitive-data.md)
</div>

<div class="boxtext">
:[](./activities/data-lost-and-found.md)
</div>

<div class="boxtext">
:[](./activities/private-data.md)
</div>



---

<!-- Physical Assessment -->

:[](./methods/operational_security.guide.md)

<div class="boxtext">
:[](./activities/guided-tour.md)
</div>

<div class="boxtext">
:[](./activities/physical-security-survey.md)
</div>

<div class="boxtext">
:[](./activities/office-mapping.md)
</div>

<div class="boxtext">
:[](./activities/scavenger-hunt.md)
</div>

<div class="boxtext">
:[](./activities/monitor-open-wireless-traffic.md)
</div>

<div class="boxtext">
:[](./activities/wireless-range-mapping.md)
</div>


<div class="boxtext">
#### A Day in the Life
Covered in full in User Device Assessment:
:[](./exercises/day_in_the_life/approach.md)
</div>


---
<!-- Risk Modeling -->

:[](./methods/risk_modeling.guide.md)
<div class="boxtext">
:[](./activities/process-mapping-activity.md)
</div>

<div class="boxtext">
:[](./activities/pre-mortum-risk-assessment-activity.md)
</div>

<div class="boxtext">
#### Risk Matrix

Covered in full in Threat Identification:

:[](./exercises/risk_matrix/approach.md)
</div>

<div class="boxtext">
#### Critical Data Activity

Covered in full in Data Assessment:

:[](./exercises/sensitive_data/approach.md)
</div>


---

<!-- Threat Assessment -->

:[](./methods/threat_assessment.guide.md)
<div class="boxtext">
#### Pre-Mortum Risk Modeling

Covered in full in Risk Assessment:

:[](./exercises/pre_mortum_risk_assessment_activity/approach.md)
</div>

<div class="boxtext">
#### Critical Data Activity

Covered in full in Data Assessment:

:[](./exercises/sensitive_data/approach.md)
</div>

<div class="boxtext">
:[](./activities/threat-identification.md)
</div>

<div class="boxtext">
:[](./activities/risk-matrix.md)
</div>

<div class="boxtext">
:[](./activities/threat-interaction.md)
</div>

<div class="boxtext">
#### Regional Context Research

Covered in full in Capacity Assessment:

:[](./exercises/regional_context_research/approach.md)
</div>



---

<!-- Responsive Support -->

:[](./methods/responsive_support.guide.md)

<div class="boxtext">
Due to the wide variety of needs found during SAFETAG audits, the framework relies on the wealth of existing training curricula and digital security guides, listed below.

Of specific use are the following training guides from Level-Up. Review the [Level-Up Curricula Guide](https://www.level-up.cc/leading-trainings/curriculum-guide) prior to using these activities:

* [Malware Fundamentals and Social Engineering](https://www.level-up.cc/leading-trainings/training-curriculum/malware-fundamentals)
* [Secure Passwords](https://www.level-up.cc/leading-trainings/training-curriculum/secure-passwords)
* [Advanced Email Security](https://www.level-up.cc/leading-trainings/training-curriculum/email-security)
</div>



---
<!-- Debrief -->

:[](./methods/debrief.guide.md)


---
<!-- Follow Up -->

:[](./methods/follow_up.guide.md)

<div class="boxtext">
:[](./activities/follow-up-meeting.md)
</div>

<div class="boxtext">
:[](./activities/making-introductions.md)
</div>

<div class="boxtext">
:[](./activities/long-term-follow-up.md)
</div>

<div class="boxtext">
:[](./activities/staff-feedback-survey.md)
</div>

# Reporting


---
<!-- Vulnerability Prioritization

:[](./methods/vulnerability_prioritization.guide.md)

---
-->

<!-- Recommendation Development -->

:[](./methods/recommendation_development.guide.md)
<div class="boxtext">
#### Identify Useful Resources

:[](./activities/identify-useful-resources.md)
</div>

<div class="boxtext">
#### Identify and Explain Un-Addressed Concerns

:[](./activities/un-addressed-concerns.md)
</div>

<div class="boxtext">
:[](./activities/identify-recommendations.md)
</div>



---
<!-- Roadmap Development -->

:[](./methods/roadmap_development.guide.md)

---
<!-- Reporting Creation -->

:[](./methods/report_creation.guide.md)

---

<!-- APPENDICES AND FOOTNOTES -->

:[](./appendix.md)

<!-- Load Default Images -->
:[](./theme/image_defaults.md)
:[](references/footnotes.md)

